Subject: bug#32884: Logical Bug (do not quit after "--machin" request output)

From: "Brian C. Lane" <[email-masked]>
Date: Mon, 15 Oct 2018 10:56:49 -0700

On Sun, Sep 30, 2018 at 10:52:42AM +0300, ПИван Петров wrote:
> If to request information about not existent disk with "QUIT command" at
> the end of request, Parted asks from "my programm": "Need to try again to
> get request information?".
> I and "my programm" think, that Parted already had that answer = "quit"!
> 
> Please, remove any interactive events from output if "--machine" parameter
> exists!

The correct thing to do is to use --script, it won't prompt for things
and will default to the 'safe' answer. You also don't need quit
there, it is implied by the end of the commands you pass to parted.

-- 
Brian C. Lane (PST8PDT)